Package org.apache.catalina.storeconfig

## Interface IStoreFactory

- All Known Implementing Classes:
    `CatalinaClusterSF`, `ChannelSF`, `ConnectorSF`, `CredentialHandlerSF`, `GlobalNamingResourcesSF`, `InterceptorSF`, `JarScannerSF`, `LoaderSF`, `ManagerSF`, `NamingResourcesSF`, `OpenSSLConfSF`, `PersistentManagerSF`, `RealmSF`, `SenderSF`, `SSLHostConfigSF`, `StandardContextSF`, `StandardEngineSF`, `StandardHostSF`, `StandardServerSF`, `StandardServiceSF`, `StoreFactoryBase`, `WatchedResourceSF`, `WebResourceRootSF`, `WrapperLifecycleSF`, `WrapperListenerSF`

      public interface IStoreFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StoreRegistry` | `getRegistry()` |
    `StoreAppender` | `getStoreAppender()` |
    `void` | `setRegistry​(StoreRegistry aRegistry)` |
    `void` | `setStoreAppender​(StoreAppender storeWriter)` |
    `void` | `store​(java.io.PrintWriter aWriter, int indent, java.lang.Object aElement)` |
    `void` | `storeXMLHead​(java.io.PrintWriter aWriter)` |

- - ### Method Detail

    - #### getStoreAppender

          StoreAppender getStoreAppender()

    - #### setStoreAppender

          void setStoreAppender​(StoreAppender storeWriter)

    - #### setRegistry

          void setRegistry​(StoreRegistry aRegistry)

    - #### getRegistry

          StoreRegistry getRegistry()

    - #### store

          void store​(java.io.PrintWriter aWriter,
                     int indent,
                     java.lang.Object aElement)
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### storeXMLHead

          void storeXMLHead​(java.io.PrintWriter aWriter)